#
# spec file for package python-ldap (Version 2.0.0pre19)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cyrus-sasl2 cyrus-sasl2-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel python python-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel gcc gdbm gettext heimdal-lib libtool openldap2 openldap2-devel openssl-devel perl python python-devel rpm

Name:         python-ldap
%define pyver %(python -c 'import sys; print sys.version[:3]')
License:      Other License(s), see package
Group:        Development/Libraries/Python
Requires:     python >= %pyver, python < %{pyver}.99
Autoreqprov:  on
Version:      2.0.0pre19
Release:      75.4
Summary:      Python LDAP interface
URL:          http://python-ldap.sourceforge.net/
Source:       python-ldap-%{version}.tar.bz2
Patch:        python-ldap-%{version}-sasl.patch
Patch1:       python-ldap-openldap2.2.patch
Patch2:       python-ldap-errors.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
python-ldap provides an LDAP client API for Python in the spirit of
RFC1823. It includes a Python module called _ldapmodule that wraps an
LDAP C library, an object-oriented API for X.500 directories. See
python-ldap pages on http://python-ldap.sourceforge.net/



Authors:
--------
    David Leonard <David.Leonard@csee.uq.edu.au>

%prep
%setup
%patch
%patch1 -R
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc README Demo CHANGES TODO LICENCE

%changelog -n python-ldap
* Fri Jul 16 2004 - mcihar@suse.cz
- fix problems with OpenLDAP 2.2 (bug #42808)
* Fri Jan 30 2004 - mcihar@suse.cz
- include licence
* Fri Jan 23 2004 - mcihar@suse.cz
- updated to 2.0.0pre19
* Tue Dec 16 2003 - mcihar@suse.cz
- updated to 2.0.0pre18
* Thu Nov 13 2003 - mcihar@suse.cz
- updated to 2.0.0pre15
* Wed Oct 15 2003 - mcihar@suse.cz
- don't build as root
- updated to 2.0.0pre14:
  ldap.ldapobject:
  * Added class attribute LDAPObject.network_timeout mapped to
  set_option(ldap.OPT_NETWORK_TIMEOUT,..)
  * LDAPObject.search_ext(): Pass arguments serverctrls,clientctrls
  to _ldap.search_ext()
  ldap.sasl:
  * Added class ldap.sasl.external for handling
  the SASL mechanism EXTERNAL
  * Dictionary ldap.sasl.saslmech_handler_class built during import
  for all the known SASL mechanisms derived from class definitions
  ldap.schema:
  * More graceful handling of KeyError in SubSchema.attribute_types()
  * New method SubSchema.get_inheritedattr() for retrieving inherited
  class attributes
  * New method SubSchema.get_inheritedobj() for retrieving a
  schema element instance including all inherited class attributes
* Mon Aug 11 2003 - mcihar@suse.cz
- updated to 2.0.0pre13
* Mon Jun 16 2003 - mcihar@suse.cz
- use record-rpm
* Tue May 27 2003 - mcihar@suse.cz
- updated to 2.0.0pre12
* Tue May 13 2003 - mcihar@suse.cz
- updated to 2.0.0pre11
- use distutils for build
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Fri Jan 31 2003 - ro@suse.de
- use sasl2
* Fri Jan 10 2003 - mcihar@suse.cz
- updated to 2.0.0pre06
- build with more features
- add demo into docs
* Mon Aug 26 2002 - rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Wed Aug 14 2002 - vinil@suse.cz
- new version: 2.0.0pre05
* Mon Jun 03 2002 - stepan@suse.de
- use %%_lib instead of lib
* Wed Feb 27 2002 - vinil@suse.cz
- version 2.0.0pre04 to work with openldap2 (bug #13948)
* Tue Sep 04 2001 - rvasice@suse.cz
- fix Group tag to Development/Libraries/Python
* Thu Mar 15 2001 - kukuk@suse.de
- Remove openldap from Requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Nov 22 2000 - mt@suse.de
- renamed from pyldapm to python-ldap
- updated to python-ldap-1.10alpha3
- adopted spec file for python2.0
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild (added ldaplib)
* Sun Oct 29 2000 - kukuk@suse.de
- fix need for build
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 26 1999 - mt@suse.de
- new version 1.5
